Subject: neofetch: ASCII art for LMDE a little broken

From: Tom Goulet <[email-masked]>
Date: Fri, 28 Mar 2025 23:48:12 -0400

Package: neofetch
Version: 7.1.0-4
Severity: minor

Dear Maintainer,

   * What led up to the situation?

I used neofetch to see the ASCII art for my distribution.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

I ran the neofetch command.

   * What was the outcome of this action?

The output was good except for a slightly malformed ASCII art
display for LMDE.

   * What outcome did you expect instead?

I expected more perfect ASCII art.

Here, let me show you:
tomg@hope:~/src/neofetch$ ./neofetch
`.-::---..                     tomg@hope
      .:++++ooooosssoo:.       ---------
    .+o++::.      `.:oos+.     OS: LMDE 6 (faye) x86_64
   :oo:.`             -+oo:    Host: LENOVO 20L6S09E00
 `+o/`    .::::::-.    .++-`   Kernel: 6.5.0-0.deb12.4-amd64
`/s/    .yyyyyyyyyyo:   +o-`   Uptime: 53 days, 1 hour, 33 mins
`so     .ss       ohyo` :s-:   Packages: 4871 (dpkg), 27 (flatpak)
`s/     .ss  h  m  myy/ /s``   Shell: bash 5.2.15
`s:     `oo  s  m  Myy+-o:`    Resolution: 1368x768
`oo      :+sdoohyoydyso/.      DE: MATE 1.26.0
 :o.      .:////////++:        WM: Metacity
 `/++        -:::::-           Theme: Mint-Y-Dark [GTK2/3]
  `++-                         Icons: Mint-Y-Dark [GTK2/3]
   `/+-                        Terminal: mate-terminal
     .+/.                      Terminal Font: Monospace 12
       .:+-.                   CPU: Intel i5-8350U (8) @ 3.600GHz
          `--.``               GPU: Intel 20L5))
                               Memory: 12584MiB / 15732MiB

The mistkae is on the first line of the output.  The ASCII art starts
at column 1 instead of a little bit further to the right.  Also it has
no colour and should be green.

Here is the faulty section of the neofetch shell script, line 8352:
         ${c2}`.-::---..
The $(c2) doesn't seem to do anything and the text needs to be
indented about 12 spaces.  Here is a possible patch:
@@ -8349,7 +7724,7 @@
         "LMDE"*)
             set_colors 2 7
             read -rd '' ascii_data <<'EOF'
-         ${c2}`.-::---..
+         ${c1}          `.-::---..
 ${c1}      .:++++ooooosssoo:.
     .+o++::.      `.:oos+.
 ${c1}   :oo:.`             -+oo${c2}:

Thanks, let me know if there's anything I can do to help.

*** End of the template - remove these template lines ***

-- System Information:
Debian Release: 12.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable-security'), (500, 'stable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 6.5.0-0.deb12.4-amd64 (SMP w/8 CPU threads; PREEMPT)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

neofetch depends on no packages.

Versions of packages neofetch recommends:
pn  caca-utils                       <none>
pn  chafa                            <none>
ii  imagemagick                      8:6.9.11.60+dfsg-1.6+deb12u2
ii  imagemagick-6.q16 [imagemagick]  8:6.9.11.60+dfsg-1.6+deb12u2
pn  jp2a                             <none>
pn  libsixel-bin                     <none>
ii  pciutils                         1:3.9.0-4
pn  w3m-img                          <none>

neofetch suggests no packages.

-- no debconf information